CATALYST(1)

NAME
catalyst - The Gentoo Linux Release Engineering meta-tool

SYNOPSIS

catalyst [OPTIONS] [-f FILE | -C KEY=VALUE ... | -s DATE]

DESCRIPTION

catalyst is the tool that the Gentoo Release Engineering team utilizes to build all Gentoo Linux releases. It is capable of building installation stages, bootable LiveCDs, netboot images, and Gentoo Reference Platform (GRP) sets. catalyst is also capable of providing a simple tinderbox environment for ebuild/package testing.

For more information, please visit the catalyst project page on the web at https://wiki.gentoo.org/wiki/Catalyst.

OPTIONS

--clear-autoresume, -a
    This option is to be used to clear any autoresume points that have been saved for this target. It is used in conjunction with -f, -C, or both.

--cli|-C KEY=VALUE ...
    This option is to be used in place of a specfile. All options are passed to catalyst on the commandline. Please note that this option must be the last option passed to catalyst for everything to work correctly.

--config|-c FILE
    Tell catalyst to use a user-defined configuration file. A sample configuration file is installed at /etc/catalyst/catalyst.conf.

--debug, -d
    Enable debugging mode

--fetchonly, -F
    This tells catalyst to only fetch distfiles for the given packages without performing any building.

--file|-f FILE
    Tell catalyst to use the user supplied specfile.

--help, -h
    Print the help message and exit

--purge, -p
    Tell catalyst to clear all temporary directories, package caches, and autoresume flags for the given target.

--snapshot|-s DATE
    Create a Portage snapshot using the specified identifier stamp.

--verbose, -v
    Enable verbose mode.

--version, -V
    Print the version information and exit

EXAMPLES

Using the commandline option (-C, --cli) to build a Portage snapshot:

    # catalyst -C target=snapshot version_stamp=my_date

Using the specfile option (-f, --file) to build a stage target:

    # catalyst -f stage1-specfile.spec

Using the snapshot option (-s, --snapshot) to package a Portage snapshot using the datestamp 20051208:

    # catalyst -s 20051208

FILES

Example specfiles can be found in /usr/share/doc/catalyst-3.0.12/examples. An example configuration file can be found at /etc/catalyst/catalyst.conf.

SUPPORTED ARCHITECTURES

The following table shows the list of supported architectures as well as the list of valid strings for key subarch.

alpha
    alpha, ev4, ev45, ev5, ev56, ev6, ev67, pca56

amd64
    amd64, amdfam10, athlon64, athlon64-sse3, athlonfx, barcelona, core2, k8, k8-sse3, nocona, opteron, opteron-sse3, x32

arm
    arm, armeb, armv4l, armv4tl, armv5teb, armv5tejl, armv5tel, armv5tl, armv6j, armv6j_hardfp, armv6z, armv6zk, armv7a, armv7a_hardfp

arm64
    arm64

hppa
    hppa, hppa1.1, hppa2.0

ia64
    ia64

m68k
    m68k

mips
    cobalt, loongson2e, loongson2f, loongson3a, mips, mips1, mips2, mips3, mips32, mips32_softfloat, mips32el, mips32el_softfloat, mips32r2, mips32r2_softfloat, mips32r2el, mips32r2el_softfloat, mips4, mips4_r10k, mips4_r12k, mips64, mips64el, mips64r2, mips64r2el, mipsel, mipsel1, mipsel2, mipsel3, mipsel4

mips64
    cobalt_n32, loongson2e_multilib, loongson2e_n32, loongson2e_n64, loongson2f_multilib, loongson2f_n32, loongson2f_n64, loongson3a_multilib, loongson3a_n32, loongson3a_n64, mips3_multilib, mips3_n32, mips3_n64, mips4_multilib, mips4_n32, mips4_n64, mips4_r10k_multilib, mips4_r10k_n32, mips4_r10k_n64, mips4_r12k_multilib, mips4_r12k_n32, mips4_r12k_n64, mips64_multilib, mips64_n32, mips64_n64, mips64el_multilib, mips64el_n32, mips64el_n64, mips64r2_multilib, mips64r2_n32, mips64r2_n64, mips64r2el_multilib, mips64r2el_n32, mips64r2el_n64, mipsel3_multilib, mipsel3_n32, mipsel3_n64, mipsel4_multilib, mipsel4_n32, mipsel4_n64

ppc
    g3, g4, g5, power, power-ppc, ppc

ppc64
    970, cell, power3, power4, power5, power6, power7, power7le, power8, power8le, ppc64, ppc64le

riscv
    riscv

s390
    s390

s390x
    s390x

sh
    sh, sh2, sh2a, sh2aeb, sh2eb, sh3, sh3eb, sh4, sh4a, sh4aeb, sh4eb, sheb

sparc
    sparc

sparc64
    sparc64

x86
    athlon, athlon-4, athlon-mp, athlon-tbird, athlon-xp, i386, i486, i586, i686, k6, k6-2, k6-3, pentium, pentium-m, pentium-mmx, pentium2, pentium3, pentium3m, pentium4, pentium4m, pentiumpro, prescott, x86

BUGS

An up-to-date list of Catalyst bugs can always be found listed on the Gentoo Linux bug-tracking system at https://bugs.gentoo.org.

NOTES

catalyst is conceptually derived from the Gentoo livecd-ng and Gentoo stager projects, both of which were used to create pre-1.4 Gentoo releases.

catalyst was originally conceived and coded by both Daniel Robbins and John Davis. It is currently maintained by Chris Gianelloni and Eric Edgar and has been mostly re-written.

AUTHORS

    • John Davis <zhen@gentoo.org>

    • Chris Gianelloni <wolf31o2@gentoo.org>

    • Raul Porcel <armin76@gentoo.org>

    • Sebastian Pipping <sping@gentoo.org>

    • Matt Turner <mattst88@gentoo.org>

SEE ALSO

catalyst-config(5) catalyst-spec(5)

Also, a more in-depth examination of Catalyst options and procedures can be found linked from the catalyst project page, which is located at https://wiki.gentoo.org/wiki/Catalyst.